Package Gnumed :: Package business :: Module gmForms :: Class gmOOoConnector |
[frames] | no frames]

# Class gmOOoConnector

source code

               object --+
                        |
    pycommon.gmBorg.cBorg --+
                            |
                           gmOOoConnector

This class handles the connection to OOo.

Its Singleton instance stays around once initialized.

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
cleanup(self, force=True) | source code
open_document(self, filename=None) <filename> must be absolute | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `pycommon.gmBorg.cBorg`: `__new__`

Class Variables
| desktop = `property(_get_desktop, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)